services:
  postgres:
    image: postgres:${PG_VERSION}
    container_name: zabbix-db-test
    environment:
      POSTGRES_PASSWORD: zabbix
      POSTGRES_USER: zabbix
      POSTGRES_DB: zabbix
      PGDATA: /var/lib/postgresql/data/pgdata
    ports:
      - "5432:5432"
    volumes:
      - ./init_scripts:/docker-entrypoint-initdb.d
    tmpfs:
      - /var/lib/postgresql/data
    healthcheck:
      test: ["CMD-SHELL", "pg_isready -U zabbix"]
      interval: 5s
      timeout: 5s
      retries: 5
